{
    "fields": [
        {
            "name": "groupId",
            "type": "string"
        },
        {
            "name": "piepelineId",
            "type": "string"
        },
        {
            "name": "pipelineMainFolder",
            "type": "string"
        },
        {
            "name": "cohortName",
            "type": "string"
        },
        {
            "name": "startDate",
            "type": "string"
        },
        {
            "name": "lastStepDate",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "pipelineParameters",
            "type": {
                "type": "map",
                "values": "string"
            }
        },
        {
            "name": "tieringConfigurationFile",
            "type": "string"
        },
        {
            "name": "softwareVersions",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": "string"
                }
            ]
        },
        {
            "name": "dataBaseVersions",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": "string"
                }
            ]
        },
        {
            "name": "listOfSamples",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "name": "readyToDispatch",
            "type": "boolean"
        },
        {
            "name": "steps",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "name": "stepName",
                                "type": "string"
                            },
                            {
                                "name": "date",
                                "type": "string"
                            },
                            {
                                "name": "status",
                                "type": {
                                    "name": "StepStatus",
                                    "symbols": [
                                        "failed",
                                        "ready"
                                    ],
                                    "type": "enum"
                                }
                            }
                        ],
                        "name": "Step",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "name": "listOfFilesToDispatch",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "This defines a file\nThis Record is defined by the sampleID and a URI\nCurrently SampleID can be a single String or an array of strings if multiple samples are associated with the same file\n*",
                        "fields": [
                            {
                                "doc": "Unique ID(s) of the Sample, for example in a multisample vcf this would have an array of all the sample ids",
                                "name": "SampleId",
                                "type": [
                                    "null",
                                    "string",
                                    {
                                        "items": "string",
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "doc": "URI PATH",
                                "name": "URIFile",
                                "type": "string"
                            },
                            {
                                "name": "fileType",
                                "type": {
                                    "name": "FileType",
                                    "symbols": [
                                        "BAM",
                                        "gVCF",
                                        "VCF_small",
                                        "VCF_somatic_small",
                                        "VCF_CNV",
                                        "VCF_somatic_CNV",
                                        "VCF_SV",
                                        "VCF_somatic_SV",
                                        "VCF_SV_CNV",
                                        "SVG",
                                        "ANN",
                                        "BigWig",
                                        "MD5Sum",
                                        "ROH",
                                        "OTHER"
                                    ],
                                    "type": "enum"
                                }
                            },
                            {
                                "name": "md5Sum",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            }
                        ],
                        "name": "File",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        }
    ],
    "name": "RareDiseaseInterpretationStatus",
    "namespace": "org.gel.models.metrics.avro",
    "type": "record"
}